| OpenCV 4.3.0 Open Source Computer Vision

Namespaces | Classes | Functions
cv::util Namespace Reference

## Namespaces
| detail

## Classes
class | any
class | bad_any_cast
class | bad_optional_access
class | bad_variant_access
struct | monostate
class | optional
struct | type_list_index
class | variant

## Functions
template<class value_t >
value_t * | any_cast (any *operand)
template<class value_t >
const value_t * | any_cast (const any *operand)
template<class value_t >
value_t & | any_cast (any &operand)
template<class value_t >
const value_t & | any_cast (const any &operand)
template<typename T , typename... Types>
T & | get (util::variant< Types... > &v)
template<typename T , typename... Types>
const T & | get (const util::variant< Types... > &v)
template<typename T , typename... Types>
bool | holds_alternative (const util::variant< Types... > &v) noexcept
template<class T >
optional< typename std::decay< T >::type > | make_optional (T &&value)
template<typename... Us>
bool | operator!= (const variant< Us... > &lhs, const variant< Us... > &rhs)
bool | operator== (const util::monostate &, const util::monostate &)
template<typename... Us>
bool | operator== (const variant< Us... > &lhs, const variant< Us... > &rhs)
template<typename T >
void | suppress_unused_warning (const T &)
| Utility template function to prevent "unused" warnings by various compilers. More...
template<class ExceptionType >
void | throw_error (ExceptionType &&e)
template<class value_t >
value_t & | unsafe_any_cast (any &operand)
template<class value_t >
const value_t & | unsafe_any_cast (const any &operand)

## Function Documentation

## ◆ any_cast() [1/4]

template<class value_t >

value_t* cv::util::any_cast | ( | any * | operand | ) |

## ◆ any_cast() [2/4]

template<class value_t >

const value_t* cv::util::any_cast | ( | const any * | operand | ) |

## ◆ any_cast() [3/4]

template<class value_t >

value_t& cv::util::any_cast | ( | any & | operand | ) |

## ◆ any_cast() [4/4]

template<class value_t >

const value_t& cv::util::any_cast | ( | const any & | operand | ) |

## ◆ get() [1/2]

template<typename T , typename... Types>

T & cv::util::get | ( | util::variant< Types... > & | v | ) |

## ◆ get() [2/2]

template<typename T , typename... Types>

const T & cv::util::get | ( | const util::variant< Types... > & | v | ) |

## ◆ holds_alternative()

template<typename T , typename... Types>

bool cv::util::holds_alternative | ( | const util::variant< Types... > & | v | ) |
| noexcept

## ◆ make_optional()

template<class T >

optional< typename std::decay< T >::type > cv::util::make_optional | ( | T && | value | ) |

## ◆ operator!=()

template<typename... Us>

bool cv::util::operator!= | ( | const variant< Us... > & | lhs,
|  | const variant< Us... > & | rhs
| ) |  |

## ◆ operator==() [1/2]

bool cv::util::operator== | ( | const util::monostate & | ,
|  | const util::monostate & |
| ) |  |
| inline

## ◆ operator==() [2/2]

template<typename... Us>

bool cv::util::operator== | ( | const variant< Us... > & | lhs,
|  | const variant< Us... > & | rhs
| ) |  |

## ◆ suppress_unused_warning()

template<typename T >

void cv::util::suppress_unused_warning | ( | const T & |  | ) |

Utility template function to prevent "unused" warnings by various compilers.

## ◆ throw_error()

template<class ExceptionType >

void cv::util::throw_error | ( | ExceptionType && | e | ) |

## ◆ unsafe_any_cast() [1/2]

template<class value_t >

value_t& cv::util::unsafe_any_cast | ( | any & | operand | ) |
| inline

## ◆ unsafe_any_cast() [2/2]

template<class value_t >

const value_t& cv::util::unsafe_any_cast | ( | const any & | operand | ) |
| inline